gdcm::Modules Class Reference

Class for representing a Modules. More...

`#include <gdcmModules.h>`

## Public Types

typedef std::map< std::string, Module > | ModuleMapType

## Public Member Functions

| Modules ()=default
void | AddModule (const char *ref, const Module &module)
void | Clear ()
const Module & | GetModule (const char *name) const
bool | IsEmpty () const

## Friends

std::ostream & | operator<< (std::ostream &_os, const Modules &_val)

## Detailed Description

Class for representing a Modules.

Note
  bla

See also
  Module

Examples
  TraverseModules.cxx.

## Member Typedef Documentation

## ModuleMapType

typedef std::map<std::string, Module> gdcm::Modules::ModuleMapType

## Constructor & Destructor Documentation

## Modules()

gdcm::Modules::Modules | ( |  | ) |

default

References Modules(), and operator<<.

Referenced by Modules(), and operator<<.

## Member Function Documentation

## AddModule()

void gdcm::Modules::AddModule | ( | const char * | ref,
|  | const Module & | module )

inline

## Clear()

void gdcm::Modules::Clear | ( |  | ) |

inline

## GetModule()

const Module & gdcm::Modules::GetModule | ( | const char * | name | ) | const

inline

Examples
  TraverseModules.cxx.

## IsEmpty()

bool gdcm::Modules::IsEmpty | ( |  | ) | const

inline

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const Modules & | _val )

friend

References Modules().

Referenced by Modules().

The documentation for this class was generated from the following file:

- gdcmModules.h